import { geoMercator, geoPath, geoGraticule } from 'd3';

const projection = geoMercator(); // The spherical Mercator projection
const path = geoPath(projection); // geographic path generator
const graticule = geoGraticule(); // creating graticules

//setup for marks
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
