import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

//Map area
const width = 1060;
const height = 600;

//Load data from useData
const App = () => {
  const data = useData();
	//Load data for the first time
  if (!data) {
    return <pre>Loading...</pre>;
  }
	//project data to screen
  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};

//put everything in rootElement
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
